Subject: bug#42965: closed (Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Dec 2021 02:34:03 +0000

Your bug report

#17804: Wrong uncompressed size with option --list

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17804
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format
From: Paul Eggert <[email-masked]>
To: Petr Stodůlka <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Dec 2021 18:33:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/18/14 15:12, Paul Eggert wrote:
> One simple way forward would be to implement what pigz -tl does, namely, 
> decompress the input stream and discard the output, but print its size.

I finally got around to implementing that suggestion:

https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=cf26200380585019e927fe3cf5c0ecb7c8b3ef14
https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=32fef43b442c7abc70414863d64718cd06f6477a

So I am closing this old bug report.

Subject: Wrong uncompressed size with option --list
From: Juan Diaz <[email-masked]>
To: [email-masked]
Date: Fri, 21 Aug 2020 10:24:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've seen that with large sized files (14G in this case) when I use the 
"list" option I get wrong uncompressed size and the ratio, of course, is 
wrong. I've tested it with versions 1.10 (last just compiled) and 1.5 
(system version).

/ # ./gzip -l  file.gz //
//         compressed        uncompressed  ratio uncompressed_name//
/

/         4937209128          1654354046 -198.4% file/

The real uncompressed size is 14539255934.

/# ./gzip -V//
//gzip 1.10//
//Copyright (C) 2018 Free Software Foundation, Inc.//
//Copyright (C) 1993 Jean-loup Gailly.//
//This is free software.  You may redistribute copies of it under the 
terms of//
//the GNU General Public License <https://www.gnu.org/licenses/gpl.html>.//
//There is NO WARRANTY, to the extent permitted by law.//
//
//Written by Jean-loup Gailly./

/#ldd ./gzip //
//        linux-vdso.so.1 =>  (0x00007ffecc9f2000)//
//        libc.so.6 => /lib64/libc.so.6 (0x00007f4414ef0000)//
//        /lib64/ld-linux-x86-64.so.2 (0x00007f44152be000)/

/# file ./gzip //
//./gzip: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), 
dynamically linked (uses shared libs), for GNU/Linux 2.6.32, 
BuildID[sha1]=d0d1507ea734a12479a63489ea858bd997fcb716, not stripped/

Regards.